> ## Documentation Index
> Fetch the complete documentation index at: https://docs.biohub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# inverse_fold

> (ESM3) Inverse folds proteins. Defaults to esm3-open-2024-03 if no model is given



## OpenAPI

````yaml openapi/biohub-platform-openapi.json POST /api/v1/inverse_fold
openapi: 3.1.0
info:
  title: Biohub Platform API
  version: 1.0.0
servers:
  - url: https://biohub.ai
security: []
paths:
  /api/v1/inverse_fold:
    post:
      tags:
        - v1
      summary: >-
        (ESM3) Inverse folds proteins. Defaults to esm3-open-2024-03 if no model
        is given
      operationId: inverse_fold_api_v1_inverse_fold_post
      parameters:
        - name: accept
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Accept
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InverseFoldRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InverseFoldResponse'
            application/vnd.evolutionaryscale.pickle:
              schema:
                type: string
                format: binary
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    InverseFoldRequest:
      properties:
        model:
          type:
            - string
            - 'null'
          enum:
            - esm3-open-2024-03
            - null
          description: >-
            You may have access to additional, private models as well. These
            will be visible on the Rate Limits page under the Developer Console
        potential_sequence_of_concern:
          type: boolean
          description: >-
            Disclose potential sequences of concern. For approved users, such
            sequences will not go through additional safety filtering. Reach out
            if you are interested in using this.
          default: false
        coordinates:
          items:
            items:
              items:
                anyOf:
                  - type: number
                  - type: 'null'
              type: array
            type: array
          type: array
          description: Coordinates of the N, CA, C atom sequence as a Nx37x3 array.
          default: []
        inverse_folding_config:
          $ref: '#/components/schemas/InverseFoldingConfig'
        sequence:
          anyOf:
            - type: string
            - type: 'null'
          description: Sequence for sequence conditioning.
      type: object
      required:
        - inverse_folding_config
    InverseFoldResponse:
      properties:
        model:
          type: string
          enum:
            - esm3-open-2024-03
          description: >-
            You may have access to additional, private models as well. These
            will be visible on the Rate Limits page under the Developer Console
        created:
          type: string
          description: ISO formatted date time
        potential_sequence_of_concern:
          type: boolean
          description: Indicate that the returned sequence may be of potential concerns.
          default: false
        warning_messages:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Warning messages returned by FastAPI.
        sequence:
          type: string
          description: Inverse folded sequence.
          default: ''
      type: object
      required:
        - model
        - created
        - tokens_used
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    InverseFoldingConfig:
      properties:
        invalid_ids:
          items:
            type: integer
          type: array
          description: Token indices that should not be sampled.
          default: []
        temperature:
          type: number
          minimum: 0
          description: >-
            Temperature for sampling. For inverse folding models, we recommend
            getting diverse predictions by changing the seed and not by
            increasing the temperature.
          default: 0.1
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````